inherit core-image
inherit extrausers
inherit populate_sdk_qt5

IMAGE_FEATURES += "ssh-server-openssh package-management debug-tweaks "
SDKIMAGE_FEATURES = "dev-pkgs doc-pkgs package-management"
EXTRA_USERS_PARAMS = "groupadd system; \
                      groupadd statefs; \
                      groupadd gps; \
                      groupadd -f -g 1024 mtp; \
                      useradd -p '' -G 'audio,video,system,gps,statefs,mtp,input' nemo"

PACKAGECONFIG_append_pn-qtmultimedia = " gstreamer010"
IMAGE_INSTALL += " \
base-files base-passwd shadow systemd iproute2 tzdata coreutils bash file findutils gawk grep procps psmisc sed util-linux sudo module-init-tools less tar gzip bzip2 \
connman bluez5 pulseaudio ppp qtbase-plugins statefs dsme mce ngfd timed mapplauncherd-booster-qtcomponents qtmultimedia qtfeedback sensorfw \
qtbase qtquickcontrols-qmlplugins qtdeclarative-qmlplugins glacier-home usb-moded gdb strace openssh-sshd openssh-sftp-server openssh-scp libconnman-qt5-qmlplugins \
pam-plugin-loginuid udev jpeg glacier-settings nemo-qml-plugin-contextkit udev-extraconf qtdeclarative-tools \
literm glacier-camera qtvirtualkeyboard packagegroup-qt5-qtcreator-debug "

IMAGE_OVERHEAD_FACTOR = "1.4"
IMAGE_ROOTFS_EXTRA_SPACE = "562144"
